Background Image

FORUM

조회 수 9238 추천 수 0 댓글 3
?

단축키

Prev이전 문서

Next다음 문서

크게 작게 위로 아래로 댓글로 가기 인쇄 첨부

* 질문 등록 시 다음의 내용을 꼭 기입하여 주세요.
OS
Window7 64비트
CUBRID Ver.
CUBRID 2008 R4.0 (8.4.0.1008) (32bit release build for Windows_NT) (Aug 1 2011 21:16:54)
CUBRID TOOL Ver.
응용 환경(API)
PHP

* CUBRID 응용 오류, SQL 오류 또는 SQL 튜닝 관련된 문의는 반드시 다음의 내용을 추가해 주세요. 비밀글이나 비밀 댓글도 가능합니다.
* 저희가 상황을 이해하고, 재현이 가능해야 알 수 있는 문제들이 많습니다. 가능한 정보/정황들을 부탁합니다.
에러 내용 및 재현 방법 재현 가능한 Source와 SQL
관련 테이블(인덱스, 키정보 포함) 정보 CUBRID 홈 디렉토리 아래 log 디렉토리 압축


-------------- 아래에 질문 사항을 기입해 주세요. ------------------------------------------------------------------------

개발자 PC (윈도 Apache HTTP Server에서 PHP 5.3.5)에서

원격지의 개발용 DB서버(윈도2008 - 큐브리드 8.4.0)를 연결해 개발하는 환경에서

개발자 PC의 PHP 버전을 5.5.3으로 업그레이드 한 이후 오류가 발생합니다.

 

오류 메시지는 "Warning: Error: CCI, -20004, Cannot communicate with server in ~ " 와 같고,

 

개발자 PC의 PHP 버전을 5.5.3 으로 업그레이드하고, PHP API는 아래 주소의 것을 다운로드해 사용하고 있습니다.

ftp://ftp.cubrid.org/CUBRID_Drivers/PHP_Driver/9.2.0/Windows/CUBRID-PHP5-5.5-WIN64-VC11-TS-9.2.0.0001.bin.zip 

 

phpinfo(); 를 확인해 보면, PHP에 큐브리드 모듈은 잘 올라온 상태입니다.

 

 

cubrid.jpg

 

 

php_cubrid.dll 파일에서 cascci.dll 에 의존성을 가지고 있어서,

cascci.dll 파일은 큐브리드 8.4.0 이 설치된 개발 DB서버에서 복사해 사용하고 있습니다.

 

cubrid2.jpg

 

 

물론, DLL 파일들은 웹 서버를 멈춤 상태에서 복사하고 웹 서버를 재시작했습니다.

 

그리고 추가적으로 몇가지 실험을 더 해봤는데요, 참고해 주세요.

 

 

 

 

 

큐브리드 서버 버전 PHP에서 cubrid_connect() 결과
원격지 8.4.0.1008(32비트/윈도 2008) CCI, -20004 오류 발생
원격지 8.4.1.4001(32비트/cent os) 문제 없음
원격지 8.4.4.0227(64비트/cent os)

문제 없음

 

CCI, -20004 오류 발생 시 어떻게 대처하면 접속이 가능할까요?

  • ?
    손승일 2013.09.24 03:30

    PHP 5.5.3 연동을 위해 CUBRID PHP 드라이버를 9.2 버전을 사용하셨는데, 사용하고 계시는 CUBRID 버전이 8.4.0으로 CUBRID PHP 드라이버 9.2의 하위버전 호환성에 대해 확인이 좀 필요합니다. 확인이 되면 추가로 답변을 드리겠습니다.

    통상 권장하는 사항은 CUBRID 버전과 동일한 드라이버 버전의 사용입니다.

    한가지 더 의심되는 부분은 CUBRID PHP 드라이버를 64비트용을 사용하셨는데 개발 PC가 64비트인지도 확인이 필요하고 만일 64비트라면 복사해서 사용한 cascci.dll도 64비트용을 사용하셔야 합니다.

    이부분 확인 부탁 드립니다.
  • ?
    차오이 2013.09.24 04:59 Files첨부 (2)

    손승일님, 추가 확인 요청하신 부분 남깁니다.


    운영체제는 64비트용이 맞고, 복사해서 사용하던 cascci.dll 이 개발DB에 있던거라 32비트용이었습니다.

    그래서 ftp.cubrid.org 에서 64비트용 8.4.0 버전 zip에서 cascci.dll 을 구해서 교체해 보았지만 동일한 증상입니다.

    확인 부탁드리겠습니다.


    win.PNG


    cub.PNG



    추가적으로 본문에 썼듯 8.4.0 을 제외하고 8.4.1과 8.4.4가 설치된 서버로는 접속이 잘되고 데이터도 잘 가져옵니다.

    제가 사용하고 있는 php_cubrid.dll 호환성 문제인것 같기도 한데...


    ftp://ftp.cubrid.org/CUBRID_Drivers/PHP_Driver/8.4.0/Windows/ 에는 PHP 5.5 버전용이 없어서 8.4.0버전용 php api를 사용하기도 어려운 상황입니다.


    참고해 주세요~^^

    감사합니다.




  • ?
    손승일 2013.09.24 18:27

    CUBRID PHP 9.2 드라이버는 CUBRID 8.4.1까지 호환된다고 합니다.

    따라서 PHP5.5버전을 사용하시려면 CUBRID를 최소 8.4.1로 업그레이드 하셔야 할 것 같습니다.


List of Articles
번호 제목 글쓴이 날짜 조회 수
공지 SQLGate for CUBRID 영구 무료 라이선스 제공 file admin 2020.04.09 1710
1619 ha 스크립트 완료 문구 뜬후에... 5 QA 2013.09.27 10278
1618 invalid buffer position 1 소라게 2013.09.26 14232
1617 ha 스크립트 step3 Permission denied, please try again 2 QA 2013.09.25 15744
» PHP 드라이버 Error: CCI, -20004 오류 해결 방법 문의 3 file 차오이 2013.09.22 9238
1615 ha 스크립트 돌리는 중에 에러 2 QA 2013.09.17 9599
1614 큐브리드 DB 서비스 자동시작 설정 1 쪼로롱 2013.09.16 11567
1613 1623글 답변 확인 부탁드립니다. 1 토네이도 2013.09.16 7859
1612 ha_make_slavedb.sh 스크립트 실행 에러 2 secret QA 2013.09.14 10
1611 매니져 접속이 안됩니다. 4 들뿔 2013.09.13 8371
1610 큐브리드 매니저에서 Select 시 다운현상 1 file 초콜릿75 2013.09.13 7808
1609 ++ cubrid server start: fail 2 file 토네이도 2013.09.13 13539
1608 linux demodb구동시 에러 1 시나브로 2013.09.12 11087
1607 웹서버와 연결이 종료되지 않는 문제 1 freemir 2013.09.10 12515
1606 오라클 -> cubrid 마이그레이션 시.... 1 agkim 2013.09.10 10051
1605 외부 IP로 접속시 오류.. 1 file 정주리 2013.09.05 12396
1604 데이터 백업 및 복구 관련 문의 1 삼돌이 2013.09.04 9633
1603 데이터베이스 백업 오류 (8.4.4버전) 1 file 종이 2013.08.30 8863
1602 내보내기한 파일의 레코드 갯수가 이상힙니다. 3 file 소라게 2013.08.30 8405
1601 다량으로 생성된 임시볼륨 제거 방법 문의 1 file freemir 2013.08.29 7732
1600 전자정부 프레임워크와 큐브리드 연동하는 방법 알려주세요 1 mytoky 2013.08.29 19035
Board Pagination Prev 1 ... 93 94 95 96 97 98 99 100 101 102 ... 178 Next
/ 178

Contact Cubrid

대표전화 070-4077-2110 / 기술문의 070-4077-2147 / 영업문의 070-4077-2112 / Email. contact_at_cubrid.com
Contact Sales